
@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    --bs-body-font-family: 'Roboto', sans-serif;
    margin-bottom: 60px;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.5rem;
}

h4 {
    font-size: 1.25rem;
}


div[class="d-flex"] > h3 {
    margin-top: auto;
}

/* Below styles added by G.Absolu  */

div.row:has(input) {
    padding-bottom: 20px !important;
}

div.row:has(select) {
    padding-bottom: 20px !important;
}

div[class*="col-sm-"] > label {
    margin-bottom: 0px !important;
}

input[type=button], input[type=submit] {
    background-color: #295D92;
    width: 250px;
    color: white;
    border: none;
    border-radius: 8px;
    padding: 16px 0 16px 0;
}

.button-link {
    background-color: #295D92;
    width: 250px;
    color: white;
    text-align: center;
    text-decoration: none;
    border: none;
    border-radius: 8px;
    padding: 16px 0 16px 0;

    &:hover {
        color: white;
        background-color: #4B77A3;
    }

    &:active {
        color: white;
        background-color: #1F476F;
    }

    &:disabled {
        color: #6C757D;
        background-color: #F7F6F6;
    }
}

input[type=button]:hover, input[type=submit]:hover {
    color: white;
    background-color: #4B77A3;
}

input[type=button]:active, input[type=submit]:active {
    color: white;
    background-color: #1F476F;
}

input[type=button]:disabled, input[type=submit]:disabled {
    color: #6C757D;
    background-color: #F7F6F6;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}